 Софтпанорама 1994,  No.69 (54) *** FOREWORD *** Составитель Н.Н.Безруков
 =================== декабрь 1994 (beta II)  =============================
  Рекомендуется читать через Outliner (MS WORD, PC Tools, MultiEdit и др.)
  ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    ┌───────────────────────────────────────────────────────────────┐
    │  П А Н О Р А М А   К О М М Е Р Ч Е С К И Х   Н О В О С Т Е Й  │
    │                С   Н о в ы м   Г о д о м !                    │
    └───────────────────────────────────────────────────────────────┘

************************** С е н с а ц и я *********************************

Все выпущенные Pentium содержат ошибку в плавающей арифметике. При
определенных значениях операндов деление с двойной точностью выполняется
неправильно или лишь с одинарной точностью. Не исключен массовый сброс
бракованных Пентиум в страны СНГ...

  Все процессоры Pentium фирмы Intel, выпущенные до октября 1994 года  со-
  держат серьезную ошибку в  плавающей арифметике, приводящую при  опреде-
  ленных значениях операндов к  выполнению операции деления с  одинарной
  точностью или  хуже. Следует  подчеркнуть, что  ошибка ограничена только
  Pentium и  ни один  486 процессор,  включая dx4/100  в котором плавающая
  арифметика  оптимизирована  с  использованием  методов  примененных   в
  Pentium этой ошибки не содержит.

  Например при использовании калькулятора Windows выражение z=x-(x/y)*y
  при x=4195835.0 и y=3145727.0 дает 256.0. Умножение на два сохраняет ошибку
  BUG: x=   4195835 y=   3145727 z=256.00
  BUG: x=   4195835 y=   6291454 z=256.00
  BUG: x=   4195835 y=  12582908 z=256.00
  BUG: x=   4195835 y=  12582909 z=256.00

  Все делители попадающие в интервалы
      3.0 > y >= 3.0 - 36*(2^-22)
      9.0 > y >= 9.0 - 36*(2^-20)
      15.0 > y >= 15.0 - 36*(2^-20)
      21.0 > y >= 21.0 - 36*(2^-19)
      27.0 > y >= 27.0 - 36*(2^-19)
  при делении дают неправильные результаты. Подчеркну, что данные
  интервалы сохраняются при умножении приведенных выше чисел на любую
  степень двойки. Это практически делает все выпущенные Pentium
  непригодными для научных и нежелательными финансовых вычислений
  (спредшиты как правило используют плавающую арифметику двойной точности
  при вычислениях; то же самое можно сказать о вычислении сложных
  процентов по займам и аналогичных расчетов). Проведенные расчеты
  рекомендуется продублировать на 486 процессорах.

  Поскольку в процессе компиляции на Pentium оптимизирующие компиляторы
  выполняют вычисление констант, теоретически даже системное
  программирование на этих Pentium "чревато" и может вести к ошибкам при
  последующем исполнении программы любом 486 процессоре. Однако
  практически это непринципиально и бракованные Пентиумы могут быть
  удобной платформой для разработчиков в СНГ при соответствующем снижении цены.
  Я не думаю, что кто-то из системных программистов откажется от платы P5/90
  с бракованным чипом по цене, скажем $400 долларов.

  По-видимому потребители  США и  стран западной  Европы смогут обменять
  бракованные Pentium на нормальные  бесплатно, точнее за счет  Intel. В
  противном случае Intel может быть просто разорен судебными процессами,
  которые приведут к резкому падению курса акций и дополнительным затра-
  там. Акции Intel уже начали падать, как акции Dell, Getaway и  Micron.
  В США в этой ситуации законы на стороне пользователей и к  изготовите-
  лям компьютеров могут быть применимы достаточно суровые законы, разра-
  ботанные в свое время для борьбы с браком в автомобильной промышленно-
  сти. В рамках  этих законов потребителю  достаточно продемонстрировать
  что вычисления  на дешевом  калькуляторе и  его компьютере  приводят к
  разным результатам из которых  только один является правильным,  чтобы
  иметь право на обмен или возврат денег от продавца.

  Кроме того многие крупные  торговые фирмы и изготовителя  компьютеров,
  торгующие по почте (DELL,  Gateway, Micron и др.)  предоставляют право
  вернуть компьютер в течении 30 а иногда и 90 дней после покупки с воз-
  вратом заплаченной суммы за вычетом стоимости пересылки и 3-5% стоимо-
  сти компьютера.  Поэтому безусловно  крупные изготовители  компьютеров
  сейчас попали в неопределенную ситуация  и окажут давление на Intel  с
  тем, поскольку само их дальнейшее существование может зависеть от раз-
  меров и динамики возникшей паники. Ситуация мелких сборщиков несколько
  хуже и представляется вероятным массовый сброс бракованных Pentium  на
  рынок СНГ.

  В целом для СНГ и стран Восточной Европы ситуация гораздо хуже в связи
  с неразвитостью законодательной базы в области защиты прав  потребите-
  ля. Однако и число  Pentium здесь гораздо меньше.  Владельцами Pentium
  выступают как  правило банки,  страховые компании  и крупные госфирмы,
  которые  располагают  определенными  рычагами  давления на дилеров. По
  имеющимся у автора данным пока  только фирма IBM в бесспорном  порядке
  выполняет замену бракованных процессоров на нормальные. Последнее вре-
  мя к IBM присоединились HP и AST. Позиция Gateway пока не столь  обна-
  деживающа, но по состоянию на 6 декабря в ней наметился прогресс.

  Под давлением Intel в  принципе согласился на замену  бракованных про-
  цессоров, однако  поскольку речь  идет о  нескольких миллионах единиц,
  рассчитывает минимизировать свои потери путем ужесточения условий  за-
  мены доказательством того, что ошибка приводит к неправильным  резуль-
  татам в эксплуатируемых пользователем программах. Т.е. если Вы обраща-
  етесь в Intel, то Intel проводит интервью, качество которого постоянно
  снижается и через месяц наверное превратиться в США в чистую  формаль-
  ность. Судя  по информации  в конференции  COMP.INTEL.SYS (центральной
  конференции, в которой ведется обсуждение ошибки и проблем замены бра-
  кованных процессоров) Intel уже согласился заменить процессоры в  NASA
  и всем сотрудникам университетов, обращавшимся по этому поводу. Поэто-
  му для научных учреждений  СНГ, не располагающих финансовым  рычагами,
  оптимальный путь замены это работа непосредственно с  представительст-
  вом фирмы  Intel. Поскольку  представительство может  работать жестче,
  чем штаб-квартира в США, возможно  будут нужны конкретные факты о  вы-
  полняемых вычислениях как в первых интервью в США. В этом плане  может
  пригодиться указанная выше конференция COMP.INTEL.SYS и подборка мате-
  риалов в этом номере.

  Покупателям новых машин обязательно следует выполнять проверку на  на-
  личие FDIV_BUG и при ее обнаружении требовать либо скидку, если ошибка
  рассматривается потребителем как непринципиальным, либо замену процес-
  сора или материнской платы. Я еще не знаю как определить версию  маски
  по маркировку, но можно ориентироваться на приведенные выше тесты. Как
  я уже не раз писал, первые(5-вольтовые) Pentium были неудачными по ря-
  ду параметров и покупка P5/60 и P5/66 вообще не рекомендуется.  Навер-
  ное в наших условиях разумно  предпочесть им более дешевые и  не менее
  производительные компьютеры на базе  ADM dx2/80 и Intel486dx4/100,  не
  содержащие указанной ошибки. Массовый выпуск исправленных Pentium пла-
  нируется не ранее начала следующего года.

  Дополнительные материалы по этой ошибке приведены в разделе
  MIRROR\FDIV_BUG выпуска A декабрьского номера бюллетеня Софтпанорама

~                                                                    БНН

******************************** M A R K E T ******************************

Стандартным объемом памяти в 1995 году будет 8M...

  Значительная часть коммерческих программных продуктов образца 1995 года
  будут требовать 8M оперативной памяти. Уже сейчас такие продукты как
  OS/2 Warp, MS Word 6.0, Excel 5.0 требуют 6M.
~

Предновогодние распродажи...

  Устаревшее  оборудование  сбывается  по  бросовым ценам. Модемы noname
  14400 internal  - $45.  Двухскоростные CD-ROM  Fillips $99.  Компьютер
  486dx2/66-8- 420-15"-CDROM-2x можно купить примерно за $1200.  Компью-
  тер 486dx2/50-8-420-14" который сегодня рассматривается как минималь-
  ная конфигурация продается за $999.99.
~

Цены на трехдюймовые дискеты упали до $40 за 100 штук. Иногда попадаются
и цены $34 за 100 штук.
~

AMD начнет производство 486-процессоров на Тайване...

  Подписано соглашение с фирмой TSMG, согласно которому в 1995 году
  будет произведено более 1 млн. 486 процессоров фирмы AMD.
~

Фирма Swan начинает производство флоппи-дисков емкостью 44 и 88M...

  Драйвы совместимы с существующими 1.44M дисками. Цена дисков
  планируется из расчета 20 центов за 1M. Тел. (408) 727-9711.
~

****************************** H A R D W A R E ******************************

Первые образцы P6 возможно появятся к лету 1995 года...

  Стартовый вариант будет работать на частоте 133 Mhz и будет примерно
  в 1.5 раза производительнее P5/90.
~

Adaptec предлагает комбинированный SCSII EIDE адаптер по цене $199

*******************************  LAN ********************************

Novell выпускает Netware 4.1 и снижает на цены ...

  Фактически это означает 25% снижение цены, что повышает  привлекатель-
  ность Netware 4.1 по сравнению с 3.12. При этом покупатели могут  ком-
  бинировать лицензии. Например фирма у которой 102 пользователя подклю-
  чено к LAN сможет купить лицензии на 100 пользователей и на 5  пользо-
  вателей.
~

****************************** С У Б Д ******************************

Началось бета-тестирование FoxPro 3.0

  FoxPro 3.0 будет называться Visual FoxPro и включать работу с ODBS -
  возможность непосредственной работы с SQL-сервером. Наиболее важным
  расширением является включение в пакет словаря данных (data dictionary),
  что совершенно необходимо для создания больших приложений.

  Интерфейс будет расширен включением Wisards, подобных Access Wisards.
  По их количеству Visual FoxPro будет превосходить все продукты фирмы
  Microsoft.
~

CA-Clipper 5.3 ожидается весной 1995. Но дождутся его далеко не все...

  Это будет первая полноценная версия рассчитанная на Windows и она  бу-
  дет поддерживать CA Visual Objects. Последние явно не являются  клоном
  xBase. Это означает, что значительной части навыком программистов, ра-
  ботавших на Clipper 5 придет конец. Хотя это наверное теперь не так уж
  принципиально, поскольку число пользователей, а тем более  программис-
  тов на Clipper заметно поуменьшилось  и сейчас многие из еще  колебав-
  шихся переходят на недавно  появившуюся dBase V, которая  теперь имеет
  вполне  приличный  объектно-ориентированный  язык  больше  похожий  на
  Clipper, чем на старый dBase.
~

Появился Clarion for Windows...

  TopSpeed corp (ранее называвшаяся Сlarion Software Corp.) выпустила
  давно ожидавшуюся версию. Подобно досовской версии она позволяет
  генерировать приложения с использованием TopSpeed технологии, что
  обеспечивает их существенно более высокую производительность по
  сравнению с Visual Basic. Он также существенно превосходит Visual Basic
  по скорости создания приложений и по предварительным данным сопоставим
  в этом плане с PowerBuilder.

  Продукт позволяет работать с впечатляющим набором баз данных: Btrieve,
  Paradox, FoxPro, dBase и MS ODBS протоколом. Собственный  SQL интерфейс
  пока, к сожалению, отсутствует.

  Количество ошибок также меньше, чем в заслужившей этим дурную славу
  версии 3.0

  До декабря версия for Windows будет стоить $599. Потом ее цена подскочит
  до $1299, что практически исключает целесообразность использования на
  рынке СНГ поскольку по этой цене лучше покупать продукты, базирующиеся
  на SmallTalk, например IBM Visual Age.

  Телефон TopSpeed в США - (800) 354-5444.
~
Oracle предлагает бесплатный инструментальный пакет...

  Как  реакция  на  слияние  PowerSoft  и  SyBase, фирма предложила пакет
  PoerwSwitch, который содержит набор бесплатных утилит и преобразовате-
  лей форматов (conversion utilities). Пакет доступен непосредственно от
  компании. Тел. (415) 506-4551.
~

Внимание !!!. DB/2 возвращается...
  IBM планирует начать поставку упрощенной версии своей знаменитой  СУБД
  DB/2 для OS/2 и Windows в начале 1995 года. Это означает, что  появля-
  ется еще одна проверенная и надежная СУБД, способная работать как  на
  операционных системах-клиентах, так и на операционных системах  серве-
  рах.  Я  думаю,  что  это  приведет  к очередному витку падения цен на
  Sybase и Oracle.

  DB/2 является классической базой данных, давшей миру SQL, однако  прак-
  тически неизвестна вне среды больших машин. Это одна из немногих реля-
  ционных баз  данных которые  успешно работают  при объемах  базы более
  10G. Однако до последнего времени DB/2 не была рассчитана на конечного
  пользователя и у нее отсутствовала графическая оболочка.
~

************************** SCRIPT LANGUAGES & VHLL ***************************

ReportSmith - новый генератор отчетов фирмы Borland...

  Генератор обеспечивает связь с большинством баз данных и позволяет
  генерировать отчеты быстрее и удобнее, чем с помощью встроенных
  генераторов. ReportSmith имеет макроязык и полную поддержку OLE 2.0
  и DDE.
~

PowerBuilder 4.0 - быстрее мощнее и дороже Visual Basic...

  PowerBuilder -  конкурент  Smalltalk  и  Visual  Basic   по   созданию
  финансовых  приложений  в  этой  версии прежде всего стал намного быс-
  трее. Например сортировка стала почти пять раз быстрее. Улучшена  рас-
  ширяемость продукта: имеется интегрированный С++ class builder  позво-
  ляющий создавать  новые классы  для расширения  системы. Как  известно
  фирма PowerSoft куплена фирмой Sybase и теперь будет более тесно инте-
  грирован с этой базой, которая, наряду с Oracle, является ведущей СУБД
  для   сетевых   приложений   типа   клиент-сервер.   Поскольку   ранее
  PowerBuilder  имел  собственную  встроенную  базу  данных  (Watcom SQL
  server), ее перенос в  Sybase теперь выполняется без  затруднений. Для
  этой цены версия 4.0  включает Data Pipeline, которая  является универ-
  сальным средством для передачи данных от одной базы данных в другую  с
  выборкой нужных полей и автоматическим изменением формата. Графический
  интерфейс аналогичен используемому  при импортировании файлов  в Lotus
  Organiser.

  Встроенный язык (PowerScript)  теперь интерпретируется намного  быст-
  рее, что связано с использованием know-how в этой области полученной у
  приобретенной ранее канадской фирмы Watcom.

  Продукт сейчас охватывает широкий класс приложений от создания  изоли-
  рованных приложений для использования отдельными специалистами, напри-
  мер бухгалтерами, до инструментального средства профессиональных разра-
  ботчиков создающих стратегически важные финансовые системы для  банков
  и страховых компаний.

  В качестве примера  как в FoxPro  выбрана электронная записная  книжка
  (PIM - presonal information manager).

  Цена desktop версии для Windows  - $600. Enterprise edition стоит  на-
  много дороже - $2295
~

Банки присматриваются к REXX. IBM обещает банкирам, что Object REXX
будет включен в следующую версию OS/2...

  Производительность  создания  приложений  с  помощью  REXX оказывается
  cущественно более высокой, чем при  использовании  Visial  Basic  и  в
  ряде классов приложений  сопоставимо с производительностью  разработки
  приложений на SmallTalk.  В то же  время поскольку значительная  часть
  крупных  фирм  и  банков,  в  особенности  в Германии, используют OS/2.
  Для них Object REXX является естественным кандидатом для быстрого про-
  тотипирования и создания некритических приложений.

  Наличие Watcom VX-REXX и HockWare VisPro REXX уже сейчас позволяет ис-
  пользовать System Object Model  и создавать приложения в  которых REXX
  является одновременно и макроязыком. Это существенно увеличивает  гиб-
  кость разрабатываемых подсистем и позволяет быстрее адаптировать их  к
  требованиям финансового  рынка. Как  только приложение  имеет REXX как
  макроязык становится возможной дистанционная работа с этим  приложени-
  ем. Это позволяет более продуктивно использовать наиболее квалифициро-
  ванный персонал при возникновении проблем. Например специалист по вос-
  становлению данных  может работать  из Калифорнии  над восстановлением
  базы данных и установкой нового приложения в филиале в Чикаго.

  Универсальный супершелл типа REXX рассматривается многими  финансистами
  как одно из важных преимуществ OS/2 Warp, делающей ее более  привлека-
  тельной в качестве операционной системы для машин-клиентов в банках  и
  страховых компаниях.
~

IBM выпускает Smalltalk for Windows и VisualAge for Windows...

  По видимому сразу будет доступен интерфейс к DB/2. Таким образом у се-
  рьезных фирм появился выбор по сравнению с Visual Basic, хотя,  конеч-
  но, Microsoft Office пока является лидером в области интеграции прило-
  жений на базе  общего script language,  пусть даже такого  кривоватого
  как Visual Basic.  Вот если бы Lotus сделала ставку на SmallTalk в
  cвоем Smart Suit, то тут уж M$ ничего бы не светило, разве что сохранить
  часть инсталлированной базы.
~

Фирма EarthTrek предлагает автоматический конвертер из Visial Basic
в Delphi 95 ...

  Поскольку я испытываю аллергию к Basic вообще и к Visual Basic в част-
  ности, я почувствовал настоящее  облегчение узнав, что появилась  про-
  грамма Conversion Assistant, которая  переводит Basic в Pascal  и VBX-
  control в Delphi control.

  Эта программа, названная Conversion Asssistant, стоит $79.
  Тел. фирмы EarthTrek (617) 273-0308.
~

************************** Операционные войны ******************************

Появилась версия 2.1 Slackware Linux...

  Фирма Morse Telecommunication Inc. подготовила новую версию своего
  дистрибутива Linux, известного под названием Slackware. Наиболее важной
  особенностью версии 2.1 является поддержка X11R6 (X Window System Release
  6). Эта версия обеспечивает возможность работать с Сommon Object Request
  Broker Architecture и позволяет использовать приложения для X-Windows
  через последовательные линии.

  Ядро Slackware 2.1 поддерживает EIDE-винчестеры. Также улучшена поддержка
  шины PCI.

  Я считаю эту версию наиболее перспективной версией UNIX для рынка СНГ
  из-за ее высокого качества и дешевизны. На мой взгляд сеть 486dx4 машин
  под Linux способна конкурировать с любой другой сетью используемой в
  банках, включая сети, использующие P100 и рабочие станции в качестве
  серверов.

  Поставка версии 2.1 включает 3 CDROM и стоит $59.95. Телефон Morse
  Telecomunication Inc. (516) 889-8500.
~

Похоже Microsoft отказался от своего заявления о том, что он  прекращает
разработку MS-DOS с выпуском Windows 95...

  По неофициальным сведениям M$ планирует выпустить новую версию DOS
  через несколько месяцев после выхода Windows 95. Официально Microsoft
  продолжает утверждать, что версий после 6.22 не планируется.

  В настоящее время только IBM продолжает официально развивать DOS.
  В частности в последней версии IBM PC DOS в качестве супершелла введен
  REXX.
~

Да здравствует Unixware! Novell сдвигается в сторону UNIX и сближается c IBM...

  Novell планирует объединить Netware и Unixware в одну операционную си-
  стему с условным названием SuperNOS. Последняя будет как и AIX основа-
  на на микроядре. Часть сервисов обеспечиваемых Netware 4.0, такие  как
  NDS (Novell Directory Services) и NDMS (Novell Distributed  Management
  Services) будут уже в  недалеком будущем перенесены в  UnixWare. Таким
  образом Novell превращается в специализированную подсистему Unix,  что
  существенно повышает шансы UNIX как сервера в борьбе с NT.

  UnixWare 2.0 бета версия которой высоко оценена тестерами способна ра-
  ботать со получившими сейчас большое распространение двухпроцессорны-
  ми серверами(спарками) и обеспечивает повышение производительности се-
  рвера примерно в 1.9 раза (на этом классе машин). Максимально допусти-
  мое количество процессоров для UnixWare 2.0 равно 36 и некоторые бета-
  тестеры работают с ней на восьмипроцессорных компьютерах.
~

OpenStep будет поставляться HP, Sun и DEC...

  SunSoft Inc. и NextStep объявили о выпуске спецификации OpenStep API,
  который позволит сделать объекты подготовленные в соответствии со
  спецификацией переносимыми между основными платформами UNIX.
~

***************************** S O F T W A R E *****************************

Dashboad 2.0 выпущена Borland и будет продаваться вместе с Sidekick...

  Фирма Borland приобрела у фирмы HP оболочку Dashboard, которая является
  пожалуй самой удобной среди простых дополнений Program Manager для
  Windows 3.11. Кстати версия 1.0 распространяется как Freeware и ее
  вполне можно попробовать.
~

Novell выпускает PerfectOffice Suit, включающий WordPerfect, QuattroPro,
Paradox, Presentations, Info Cental, Envoy(Simmetry cliet) и Visual
AppBuilder...

   Цена достаточно высока и составляет $659 для Standart Edition и
   $859 для Profeccional Edition, включающей дополнительные программы.
   и 10-20 вспомогательных продуктов.
~

************************** OBJECT ORIENTED LANGUAGES ************************

Борланд выпускает версию  C++ 4.5

  Стремясь догнать VC++ фирма Borland включила в пакет Borland  Database
  Engine и SQL Links.

  Стоимость пакета $799.  Upgrade с VC++,  dBase, Paradox, Visual  Basic
  или любого компилятора с языка C - $299, что конечно гораздо более ре-
  алистичная цена. Пользователи версии 4.0 могут купить апгрейд за  $249
  или дешевле.
~

************* I n t e r n e t   и   т е л е к о м м у н и к а ц и и  *********

Microsoft создает свою online сеть под названием Marvel.
Есть сомнения насчет ее совместимости с TCP/IP.

  Обладая огромными финансовыми возможностями M$ может пойти на
  демпинг c тем, чтобы откусить значительный кусок рынка. По предварительным
  данным ее обещают сделать самой дешевой с ценой порядка $4.5 в месяц, что
  может раздавить более мелких Internet провайдеров, предлагающих SLIP по
  цене $10 в месяц.
~
IBM становится крупнейшим провайдером услуг Internet через свою
Global Network. Пока этот сервис предлагается только пользователям
Warp. Возможно он будет предлагаться и в СНГ...

  Подключение стоит $30, а связь стоит $12.95 в месяц за 6 часов и $30 в
  месяц за 30  часов SLIP. Связь  обеспечивается как на  скорости 14400,
  так и на 28800.

  По слухам председатель IBM Луи Герстнер (Lou Gerstner) готов дать  зе-
  леный  свет  этому  новому  сервису.  Располагая сетью охватывающей 90
  стран и 700 городов, IBM достаточно хорошо позиционирована для старта
  в этом новом бизнесе.

~                                          (Business Week 12/5/94 p.100)


******************** К О М П А Н И И   И   Л И Д Е Р Ы  *********************

Ходят слухи, что Lotus скоро купят...
  В качестве покупателя называют Oracle Corp. 
~                                                 (New York Times 12/1/94 C3)

Растет сопротивление приобретению M$ фирмы Intuit...

  Все большее количество фирм теперь рассматривают M$ как "империю зла", что
  существенно сокращает для Microsoft пространство для маневра, если сделка
  не будет одобрена федеральным правительством.

  Наблюдатели считают, что после того как M$ Money с ее десятью процентами
  пользователей попадут к Novel, от этих пользователей останется в лучшем
  случае половина и M$ фактически монополизирует еще один сектор рынка
  программного обеспечения, причем стратегически очень важный сектор.

  Президент Intuit Scott Cook потерял свой имидж в глазах корпоративной
  Америки. Его популярность среди сотрудников собственной компании также
  рухнула и в случае проблем с намеченной продажи фирмы ему придется уйти
  в отставку.
~

Фирма Hayes подала прошение о защите от кредиторов по статье 
11 закона о банкротстве...

  Возможно это связано с тем, что модемы стали обычным оффисным оборудованием
  и значение фирменной марки и следовательно доходы снизились за счет захвата
  значительной части рынка более дешевыми модемами и последним обвальным
  снижением цен на модемы 14400.

  Однако по словам владельца фирмы Дениса Хайнса (Dennis Hayes) это связано
  наоборот с увеличившимся спросом, в результате чего фирме пришлось
  прибегнуть к услугам субподрядчиков, которые сорвали сроки поставки
  и в результате вместо готовых модемов получились склады забитые быстро
  падающими по стоимости полуфабрикатами.
~                                   (Atlanta Journal-Constitution 11/27/94 G1)


************************* Р Ы Н О К   Т Р У Д А *****************************

Рост количества программистов в США продолжается...

  США являются признанным мировым лидеров в области разработки программ-
  ного обеспечения и ряд  американских софтверных компаний сейчас  имеет
  количество  программистов,  превышающее  тысячу. Процент программистов
  среди сотрудников колеблется. Далее приведены цифры ОБЩЕГО  количества
  сотрудников некоторых из таких  компаний, которые тоже, наверное,  не-
  безынтересны: Microsoft - 15 тыс., SyBase - 2.5 тыс., Oracle - 10 тыс.,
  AMD  - 12 тыс., Intel - 29 тыс., IBM  - 256 тыс., HP - 70 тыс.
~


**************** З А К О Н Ы    И  П Р Е С Т У П Н О С Т Ь *****************

Возрастает количество атак кракеров в Internet...

  Несмотря на реальную, проверенную несколькими кракерами на собственной
  шкуре, возможность  сесть за решетку, а также существенно возросшими
  возможностями по обнаружению незаконного доступа, американские кракеры
  лезут в Internet как мухи на мед. Многие увлекаются и попадаются.

  Последний эксперимент в этом плане был проведен группой кракеров, назы-
  вавших себя Internet Liberation Front. Они сумели вломиться в  серверы
  PIPELINE, одного  из коммерческих  провайдеров услуг  Internet. И хотя
  они были пойманы менеджерами, PIPELINE на 6 часов ушел в даун. К сожа-
  лению, платить за это видимо придется теперь родителям ребятишек.
~

Распространители киберпорнографии попали за решетку...

  Калифорнийская пара распространявшая по Internet порнографию осуждена
  к тюремному заключению судом в Мемфисе, штат Tеннесси. 
~

Кракеры пытались проникнуть в компьютеры General Electric...

  При этом в двух случаях используя гейт в Internet им удалось  получить
  ограниченный доступ к компьютерам и просмотреть некоторые файлы.  Хотя
  никакого вреда не причинено, начато следствие. 
~

Недооценка  вопросов  безопасности  среди менеджеров высокотехнологичных
фирм...

  Опрос 1250 менеджеров показал, что только 25% рассматривают информаци-
  онную безопасность как чрезвычайно важную.

  Обычно финансовые  и кадровые  проблемы рассматриваются  ими как более
  приоритетные.
~
